Doomsday Engine - Feature #1869

Feature # 1648 (Progressed): Complete vanilla DOOM emulation

Feature # 1640 (Progressed): Support for id Tech 1 audio/graphic resource hacks
Support 'shadowed’ texture resources in animated textures
2014-09-29 23:09 - danij

Status: New Start date: 2014-09-29
Priority: Normal % Done: 0%
Assignee:

Category: Vanilla emulation

Target version: Vanilla / Gameplay

Description

Doom resource management behavior/logic generally states that a later texture with the same name as an earlier one will override it
(the later texture is used instead). There is however an exception to this rule that allows both versions to be used concurrently:

Animated textures are defined in terms of a range of linear indices, meaning that all textures in said range of textures will appear as
frames in the animation. This logic works independently from the usual texture selection logic, meaning that the shadowed
(overridden) textures are used instead.

BTSX Episode 2 is one such mod where this behavior is triggered with Flats:RROCKO07 (See:
http://www.doomworld.com/vb/showthread.php?s=&postid=1301456#post1301456).

History

#1 - 2014-09-29 23:11 - danij

- Subject changed from Support shadowed texture resources in animated textures to Support 'shadowed' texture resources in animated textures

#2 - 2017-04-03 18:40 - skyjake

- Target version set to Vanilla / Gameplay
